<?php
// menggunakan class phpExcelReader
include "excel_reader2.php";

// koneksi ke mysql
mysql_connect("localhost", "root", "");
mysql_select_db("newmansapas");

// membaca file excel yang diupload
$data = new Spreadsheet_Excel_Reader($_FILES['userfile']['tmp_name']);

// membaca jumlah baris dari data excel
$baris = $data->rowcount($sheet_index = 0);

// nilai awal counter utk jml data yg sukses & gagal diimport
$sukses = 0;
$gagal = 0;

// import data excel mulai baris ke-2 
// (karena baris pertama adalah nama kolom)
for ($i = 2; $i <= $baris; $i++) {
  // membaca data nim (kolom ke-1)
  $id_trx_lain = $data->val($i, 1);
  // membaca data nim (kolom ke-2)
  $nis = $data->val($i, 2);
  // membaca data nim (kolom ke-3)
  $tgl_trx = $data->val($i, 3);
  // membaca data bayar_bks (kolom ke-4)
  $bayar_bks = $data->val($i, 4);
  // membaca data bayar_bks (kolom ke-5)
  $bayar_english = $data->val($i, 5);
  // membaca data bayar_bks (kolom ke-4)
  $bayar_observasi = $data->val($i, 6);
  // membaca data bayar_bks (kolom ke-4)
  $bayar_bimbel = $data->val($i, 7);
  // membaca data bayar_bks (kolom ke-4)
  $bayar_wisuda = $data->val($i, 8);
  // membaca data bayar_bks (kolom ke-4)
  $id_kasir = $data->val($i, 9);

  // setelah data dibaca, sisipkan ke dalam tabel mhs
  $q = "INSERT INTO trx_lain VALUES ('$id_trx_lain','$nis', '$tgl_trx', '$bayar_bks', '$bayar_english', '$bayar_observasi', '$bayar_bimbel', '$bayar_wisuda', '$id_kasir')";
  $hasil = mysql_query($q);

  // jika proses insert data sukses, counter $sukses bertambah  
  // jika gagal, maka counter $gagal yang bertambah
  if ($hasil) {
    echo "<script>alert('Import Transaksi Pembayaran Lain-lain Berhasil!');</script>";
    echo "<script type='text/javascript'> document.location = 'trx2.php'; </script>";
  } else {
    echo ("Error description: " . mysqli_error($conn));
    echo "<script>alert('Ops, terjadi kesalahan. Silahkan coba lagi.');</script>";
    echo "<script type='text/javascript'> document.location = 'lain.php'; </script>";
  }
}
